## ros-indigo-jsk-pepper-startup 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_pepper_startup)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY launch nodes sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING AND NOT $ENV{ROS_DISTRO} STREQUAL "hydro")
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  # https://github.com/ros/ros_comm/pull/730
  set(roslaunch_check_script ${PROJECT_SOURCE_DIR}/script/roslaunch-check)
  roslaunch_add_file_check(launch/jsk_pepper_startup.launch "ROS_IP=10.68.0.2 NAO_IP=10.68.0.3")
endif()

=== debian/changelog ===
ros-indigo-jsk-pepper-startup (1.1.0-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.7-1trusty) trusty; urgency=high

  * add launch_joy in jsk_pepper_startup launch
  * [jsk_naoqi_robot] speak when program is started (by unix:sleep) or terminated (by overriden roseus-sigint-handler)
  * [jsk_pepper_startup] remove meta package dependencies
  * [jsk_pepper_startup] add launch_twitter arg for jsk_pepper_startup.launch
  * Contributors: Kanae Kochigami, Shingo Kitagawa, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.6-1trusty) trusty; urgency=high

  * change from naoqi_msgs to naoqi_bridge_msgs (#614 <https://github.com/jsk-ros-pkg/jsk_robot/issues/614>)
  * Contributors: Kanae Kochigami

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.5-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.4-1trusty) trusty; urgency=high

  * package.xml add naoqi_pose depends to  jsk_pepper_startup
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.2-1trusty) trusty; urgency=high

  * jsk_pepper_startup: enable test https://github.com/furushchev/jsk_robot/commit/4b39a93b972008f5155e27a201b67a061c527a26
  * [jsk_pepper_startup/CMakeLists.txt] disable test for a while
  * [jsk_pepper_startup] use roslaunch_add_file_check instead of roslaunch-check in test file and skip hydro
  * Contributors: Yuki Furuta, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.1-1trusty) trusty; urgency=high

  * move jsk_pepper_startup under jsk_naoqi_robot

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (1.0.0-1trusty) trusty; urgency=high

  * [launch/jsk_pepper_startup.launch]  use teleop_twist_joy instead of turtlebot_telop
  * [package.xml] add depend to naoqi_bridge and naoqi_dashboard
  * [joy-client.l] use naoqi_bridge_msgs instead of naoqi_msgs, update to pepper_robot/pose namespace
  * [launch/jsk_pepper_startup.launch] remove old nao_app launch files
  * fix to include pepper_full.launch for pepper_bringup > 0.1.4 (#452 <https://github.com/jsk-ros-pkg/jsk_robot/issues/452>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.13-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.12-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.11-1trusty) trusty; urgency=high

  * set robot/type, robot/name
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.10-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.9-1trusty) trusty; urgency=high

  * package.xml: add joy
  * [jsk_pepper_startup] add test_code to check if pepper launch is valid
  * Contributors: Hitoshi Kamada, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.8-1trusty) trusty; urgency=high

  * use front/camera until https://github.com/ros-naoqi/pepper_robot/pull/1/files is merged
  * Contributors: Kanae Kochigami

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.7-1trusty) trusty; urgency=high

  * [package.xml] add depends to nao_apps
  * [jsk_pepper_startup] add joy-client.l
  * Contributors: Kanae Kochigami, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.5-1trusty) trusty; urgency=high

  * modify msg name and launch file name
  * Contributors: Jiang Jun

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.2-1trusty) trusty; urgency=high

  * add install commands to cmake
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-jsk-pepper-startup (0.0.1-1trusty) trusty; urgency=high

  * add depends to pepper_bringup
  * fix launch file as of Dec 14
  * use jsk_pepper_bringup and now naoqi repos
  * add more depends
  * tweet when imu is learge
  * deleted displaying installed behaviors (only it was test)
  * conversation added to face recognition
  * remove nao_driver from depends
  * add comment to how to modify voices
  * add learn face example
  * check timestamp to publish images
  * add nao_interaction_msgs


=== debian/control ===
Source: ros-indigo-jsk-pepper-startup
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-pepper-startup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-image-view, ros-indigo-joy, ros-indigo-jsk-robot-startup, ros-indigo-nao-interaction-msgs, ros-indigo-naoqi-bridge-msgs, ros-indigo-naoqi-dashboard, ros-indigo-naoqi-pose, ros-indigo-pepper-bringup, ros-indigo-roseus, ros-indigo-rostwitter, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-teleop-twist-joy
Description: The jsk_pepper_startup package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-pepper-startup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
